# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'business_insight_api_client/version'

Gem::Specification.new do |spec|
  spec.name          = 'business_insight_api_client'
  spec.description   = 'Business Insight API client'
  spec.version       = BusinessInsightApiClient::VERSION
  spec.authors       = ['Nedap']
  spec.email         = ['development-lm@nedap.com']
  spec.summary       = %q{A gem to interact with the Business Insight Api.}
  spec.homepage      = 'https://developer.nedap-bi.com'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").grep(/^[^spec\/]/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.add_dependency 'multi_json','~> 1.10.1'
  spec.add_dependency 'httpclient', '~> 2.8.3'
  spec.add_dependency 'hashie', '~> 3.2.0'
  spec.add_dependency 'oauth2', '~> 1.0.0'


  spec.add_development_dependency 'bundler', '~> 1.6'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec', '~> 3.0.0'
  spec.add_development_dependency 'guard', '~> 2.6.1'
  spec.add_development_dependency 'guard-rspec', '~> 4.2.10'
  spec.add_development_dependency 'webmock', '~> 1.18.0'
  spec.add_development_dependency 'vcr', '~> 2.9.2'
  spec.add_development_dependency 'yard', '~> 0.8.7.6'
  spec.add_development_dependency 'inch','~> 0.5.7'
  spec.add_development_dependency 'rspec-collection_matchers'
end
